Bug 249060 (poppler-20.09.0) - [exp-run] Upgrade graphics/poppler to 20.09.0
Summary: [exp-run] Upgrade graphics/poppler to 20.09.0
Status: Closed FIXED
Alias: poppler-20.09.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2020-09-02 07:26 UTC by Tobias C. Berner
Modified: 2020-09-10 18:33 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (2.32 KB, patch)
2020-09-02 07:26 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2020-09-02 07:26:46 UTC
Created attachment 217703 [details]
v1

Moin moin 

desktop@ would like to ask for an exp-run to upgrade graphics/poppler to 20.09.0. 

The patch is attached and can also be found here:
https://people.freebsd.org/~tcberner/patches/poppler-20.09.0.v1.diff


mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2020-09-09 06:28:23 UTC
Exp-run looks fine
Comment 2 commit-hook freebsd_committer 2020-09-10 18:32:27 UTC
A commit references this bug:

Author: tcberner
Date: Thu Sep 10 18:32:23 UTC 2020
New revision: 548218
URL: https://svnweb.freebsd.org/changeset/ports/548218

Log:
  graphics/poppler: update to 20.09.0

  Release 20.09.0:
          core:
           * Compability fix for Forms
           * Fix fetching of Objects failing in some cases
           * Fix clearing date in Annot setModified/setDate
           * TextSelectionPainter: support glyphless fonts
           * Splash: Don't try read past end of image
           * avoid abort() on large memory allocation
           * Fix memory leak on broken files
           * Fix potential invalid memory read
           * Small code improvements

          qt5:
           * Document TextAnnotation::inplaceAlign
           * Make Annotation::setModification/CreationDate work on existing annots
           * Be a bit more stubborn converting dates that come from xml
           * Clean as many null characters from the end as possible when converting strings

          glib:
           * Add accessor functions for PopplerAttachment
           * Deprecate PopplerAttachment GTime fields
           * Deprecate PopplerDocument date properties

          utils:
           * pdftoppm: report error and exit if output file cannot be written
           * Document that PDF-file can be '-' to read it from stdin

          build system:
           * cmake: Modern way to link against libpng, zlib and libtiff
           * cmake: Remove stray support for lcms1 in pdftocairo

  PR:		249060
  Exp-run by:	antoine

Changes:
  head/converters/pdf2djvu/Makefile
  head/databases/kbibtex/Makefile
  head/deskutils/calibre/Makefile
  head/deskutils/cfiles/Makefile
  head/deskutils/lumina-pdf/Makefile
  head/deskutils/recoll/Makefile
  head/deskutils/xfce4-tumbler/Makefile
  head/devel/efl/Makefile
  head/devel/kf5-kfilemetadata/Makefile
  head/editors/calligra/Makefile
  head/editors/kile/Makefile
  head/editors/libreoffice/Makefile
  head/editors/libreoffice6/Makefile
  head/editors/texstudio/Makefile
  head/editors/texworks/Makefile
  head/graphics/atril/Makefile
  head/graphics/diff-pdf/Makefile
  head/graphics/diffpdf/Makefile
  head/graphics/dspdfviewer/Makefile
  head/graphics/engauge-digitizer/Makefile
  head/graphics/epdfview/Makefile
  head/graphics/evince/Makefile
  head/graphics/gdal/Makefile
  head/graphics/geeqie/Makefile
  head/graphics/geeqie-devel/Makefile
  head/graphics/gegl/Makefile
  head/graphics/gimp-app/Makefile
  head/graphics/graphviz/Makefile
  head/graphics/impressive/Makefile
  head/graphics/inkscape/Makefile
  head/graphics/katarakt/Makefile
  head/graphics/krita/Makefile
  head/graphics/okular/Makefile
  head/graphics/openfx-arena/Makefile
  head/graphics/osg/Makefile
  head/graphics/osg34/Makefile
  head/graphics/pdf2svg/Makefile
  head/graphics/pdfpc/Makefile
  head/graphics/poppler/Makefile
  head/graphics/poppler/distinfo
  head/graphics/poppler-glib/Makefile
  head/graphics/poppler-glib/pkg-plist
  head/graphics/poppler-qt5/Makefile
  head/graphics/poppler-utils/Makefile
  head/graphics/pqiv/Makefile
  head/graphics/py-python-poppler-qt5/Makefile
  head/graphics/qcomicbook/Makefile
  head/graphics/sane-backends/Makefile
  head/graphics/tikzit/Makefile
  head/graphics/vips/Makefile
  head/graphics/xournal/Makefile
  head/graphics/xournalpp/Makefile
  head/graphics/yacreader/Makefile
  head/graphics/zathura-pdf-poppler/Makefile
  head/mail/claws-mail-pdf_viewer/Makefile
  head/mail/textmail/Makefile
  head/math/cantor/Makefile
  head/math/labplot/Makefile
  head/misc/tellico/Makefile
  head/net/kitinerary/Makefile
  head/print/cups-filters/Makefile
  head/print/deforaos-pdfviewer/Makefile
  head/print/ghostscript9-agpl-base/Makefile
  head/print/pdf-tools/Makefile
  head/print/py-frescobaldi/Makefile
  head/print/qpdfview/Makefile
  head/print/scribus-devel/Makefile
  head/print/texlive-base/Makefile
  head/print/xreader/Makefile
  head/sysutils/tracker-miners/Makefile
  head/textproc/pdfgrep/Makefile
  head/textproc/pdfsandwich/Makefile
  head/textproc/py-pdftotext/Makefile
  head/www/hotcrp/Makefile
  head/x11/eaglemode/Makefile
  head/x11-toolkits/rubygem-poppler/Makefile
Comment 3 Tobias C. Berner freebsd_committer 2020-09-10 18:33:08 UTC
Committed. Thanks for the exp-run.